PROGRAM SHARED_RACE
  USE OMP_LIB
  REAL A(20)
  INTEGER MYTHREAD
  !$OMP PARALLEL SHARED(A) PRIVATE(MYTHREAD)
  MYTHREAD = OMP_GET_THREAD_NUM()
  IF (MYTHREAD .EQ. 0) THEN
     CALL SUB(A(1:10)) 
  ELSE
     A(6:10) = 12
  ENDIF
  !$OMP END PARALLEL
END PROGRAM SHARED_RACE

SUBROUTINE SUB(X)
  REAL X(*)
  X(1:5) = 4
END SUBROUTINE SUB
